=== modified file 'bzrlib/builtins.py'
--- bzrlib/builtins.py	2010-04-05 21:50:59 +0000
+++ bzrlib/builtins.py	2010-04-06 21:46:47 +0000
@@ -3158,9 +3158,11 @@
                 my_message = my_message.replace('\r\n', '\n')
                 my_message = my_message.replace('\r', '\n')
             if my_message is None and not file:
+                # t is the status of the tree
                 t = make_commit_message_template_encoded(tree,
                         selected_list, diff=show_diff,
                         output_encoding=osutils.get_user_encoding())
+                # start_message is the template generated from hooks
                 start_message = generate_commit_message_template(commit_obj)
                 my_message = edit_commit_message_encoded(t,
                     start_message=start_message)

=== modified file 'bzrlib/commit.py'
--- bzrlib/commit.py	2010-02-17 17:11:16 +0000
+++ bzrlib/commit.py	2010-04-06 06:40:54 +0000
@@ -147,6 +147,12 @@
 
     def completed(self, revno, rev_id):
         self._note('Committed revision %d.', revno)
+        # self._note goes to the console too; so while we want to log the
+        # rev_id, we can't trivially only log it. (See bug 526425). Long
+        # term we should rearrange the reporting structure, but for now
+        # we just mutter seperately. We mutter the revid and revno together
+        # so that concurrent bzr invocations won't lead to confusion.
+        mutter('Committed revid %s as revno %d.', rev_id, revno)
 
     def deleted(self, path):
         self._note('deleted %s', path)
@@ -236,6 +242,7 @@
             commit.
         """
         operation = OperationWithCleanups(self._commit)
+        self.revprops = revprops or {}
         return operation.run(
                message=message,
                timestamp=timestamp,
@@ -246,7 +253,6 @@
                allow_pointless=allow_pointless,
                strict=strict,
                verbose=verbose,
-               revprops=revprops,
                working_tree=working_tree,
                local=local,
                reporter=reporter,
@@ -257,7 +263,7 @@
                possible_master_transports=possible_master_transports)
 
     def _commit(self, operation, message, timestamp, timezone, committer,
-            specific_files, rev_id, allow_pointless, strict, verbose, revprops,
+            specific_files, rev_id, allow_pointless, strict, verbose,
             working_tree, local, reporter, config, message_callback, recursive,
             exclude, possible_master_transports):
         mutter('preparing to commit')
@@ -299,7 +305,6 @@
             self.specific_files = None
             
         self.allow_pointless = allow_pointless
-        self.revprops = revprops
         self.message_callback = message_callback
         self.timestamp = timestamp
         self.timezone = timezone
@@ -371,7 +376,7 @@
         # Collect the changes
         self._set_progress_stage("Collecting changes", counter=True)
         self.builder = self.branch.get_commit_builder(self.parents,
-            self.config, timestamp, timezone, committer, revprops, rev_id)
+            self.config, timestamp, timezone, committer, self.revprops, rev_id)
 
         try:
             self.builder.will_record_deletes()

